<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Mdl_Inventory_Types extends MY_Model {

	public function __construct() {

		parent::__construct();

		$this->table_name = 'mcb_inventory_types';

		$this->primary_key = 'mcb_inventory_types.inventory_type_id';

		$this->select_fields = 'SQL_CALC_FOUND_ROWS *';

		$this->order_by = 'inventory_type';

		$this->limit = $this->mdl_mcb_data->setting('results_per_page');

	}

	public function validate() {

		$this->form_validation->set_rules('inventory_type', $this->lang->line('inventory_type'), 'required');

		return parent::validate();

	}

}

?>